Pepvote Support Center

Update Group

PATCH
/voting-events/{idOrCode}/groups/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

idstringrequired

ID of the record.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Send at least 1 property

namestring

Group name.

  • Length: 1 to 200 characters
descstring

Description. Null clears it.

  • Length: up to 2000 characters
groupForenum<string>
  • Values:any|position|candidate|voter

Response Body

application/json

curl -X PATCH "https://example.com/voting-events/string/groups/string" \  -H "User-Agent: my-app/1.0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": "string",
    "votingEventId": "string",
    "name": "string",
    "desc": "string",
    "groupFor": "any",
    "logoUrl": "string",
    "createdAt": 0
  }
}
Was this helpful?

Last updated September 6, 2026